
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #364

Opus files are missed when opening folder

November 01, 2013 19:40 - jEsuSdA 8)

Status: Closed Start date: November 01, 2013

Priority: Major Due date:  

Assignee:  % Done: 100%

Category: plugins/ffaudio Estimated time: 0.00 hour

Target version: 3.4.3   

Affects version: 3.4.2   

Description

Usually you can add several files recursively to the playlist clicling on open files and selecting a folder. Then Audacious loads the

audio files containing in the selected folder and all the subfolders.

But if the folder and subfolder has opus files, these files are not loaded.

If you change the name of files, like song.opus.ogg, then the files are loaded, but if you let the original name, like song.opus,

Audacious does not detect them.

Maybe there are some configuration file or some code when the file patterns are indicated (*.mp3, *.ogg, etc.) so you could simply

add *.opus or maybe made some extra field on configuration gui to allow add new patterns.

Thanks!

;)

History

#1 - November 02, 2013 03:31 - John Lindgren

- Category deleted (core)

- Priority changed from Critical to Major

What version of Audacious are you running?  This looks like a duplicate of #362.

#2 - November 03, 2013 20:23 - Michael Schwendt

I wonder whether the ffaudio plugin should list the ".opus" file extension as one it supports?

#3 - November 04, 2013 00:26 - John Lindgren

Michael Schwendt wrote:

I wonder whether the ffaudio plugin should list the ".opus" file extension as one it supports?

 

Maybe, but Audacious should play the files regardless of the file extension.

#4 - November 04, 2013 09:59 - jEsuSdA 8)

John Lindgren wrote:

What version of Audacious are you running?  This looks like a duplicate of #362.
Audacious 3.4.1 (over Debian)

#5 - November 04, 2013 10:01 - jEsuSdA 8)

John Lindgren wrote:

Michael Schwendt wrote:

I wonder whether the ffaudio plugin should list the ".opus" file extension as one it supports?

 

Maybe, but Audacious should play the files regardless of the file extension.

 

That is!

If you let the files named as FILE.OPUS, Audacious does not load them. If you rename the same files to FILE.OPUS.OGG or FILE.OPUS.MP4,

Audacious load them and play them as Opus files.

There must be a filetype filter on somewhere you can modify to add the .opus extension. ;)

Thanks!

#6 - November 04, 2013 17:57 - jEsuSdA 8)

I've just download the 3.4.2 version and compiled it and the bug persists.

The .opus files are not loaded. :(

Salu2 de jEsuSdA 8)

#7 - November 04, 2013 20:10 - John Lindgren

jEsuSdA 8) wrote:

There must be a filetype filter on somewhere you can modify to add the .opus extension. ;)

 

Please refrain from suggesting solutions until we have identified the problem.
#8 - November 04, 2013 20:10 - John Lindgren

Please attach one of the files that does not play.

#9 - November 04, 2013 21:20 - jEsuSdA 8)

John Lindgren wrote:

jEsuSdA 8) wrote:

There must be a filetype filter on somewhere you can modify to add the .opus extension. ;)

 

Please refrain from suggesting solutions until we have identified the problem.

 

Sorry, it was not a solution, it was only a supposition. Maybe my english is not too good and my message appears to be too much imperative. Sorry.

Was my fault. I'm spanish and my english is not too good. ;)

#10 - November 04, 2013 21:22 - jEsuSdA 8)

- File messiah_by_handel.opus added

John Lindgren wrote:

Please attach one of the files that does not play.

 

Here some of the files Audacious does not load if you select the folder instead the file itself.

Thank you for your efforts. ;)

jEsuSdA 8)

#11 - November 05, 2013 23:25 - John Lindgren

The file plays fine here in 3.4.2.  Please attach the output of "audacious -V messiah_by_handel.opus".

#12 - November 06, 2013 01:29 - Thomas Lange

He says it does not play if you select a folder which contains the opus file.
The output is:

main.c:541 [main]: Startup complete.

probe.c:164 [file_find_decoder]: Probing file:///home/thomas/Desktop/test/messiah_by_handel.opus.

probe.c:120 [probe_by_scheme]: Probing by scheme.

probe.c:134 [probe_by_extension]: Probing by extension.

probe.c:194 [file_find_decoder]: Probe failed.

#13 - November 06, 2013 02:54 - John Lindgren

- Subject changed from Audacious can not opens opus files directly to Opus files are missed when opening folder

- Category set to plugins/ffaudio

Thomas Lange wrote:

He says it does not play if you select a folder which contains the opus file.

 

Oh.  I missed that distinction.  In that case the "opus" extension does need to be added to ffaudio.

#14 - November 07, 2013 02:55 - John Lindgren

- Target version set to 3.4.3

- % Done changed from 0 to 100

- Affects version 3.4.2 added

Fixed:

https://github.com/audacious-media-player/audacious-plugins/commit/3e61a6c6eb4363d2272edb9c3b5ab4ce412ad4e2

#15 - November 07, 2013 08:14 - jEsuSdA 8)

John Lindgren wrote:

Fixed:

https://github.com/audacious-media-player/audacious-plugins/commit/3e61a6c6eb4363d2272edb9c3b5ab4ce412ad4e2

 

Thank you!

Great work! ;)

#16 - November 07, 2013 15:02 - John Lindgren
- Status changed from New to Closed

Files

messiah_by_handel.opus 1.76 MBNovember 04, 2013 jEsuSdA 8)
